# $Id: undef.rb,v 1.2 2003/10/08 04:16:39 yuya Exp $

class Foo
  p(instance_methods(false).grep(/bar/))
  def bar
  end
  p(instance_methods(false).grep(/bar/))
  undef bar
  p(instance_methods(false).grep(/bar/))
end
